Commit 2a3097bb authored by Phil Kunz's avatar Phil Kunz 💬
Browse files

fix: package.json & .snyk to reduce vulnerabilities

The following vulnerabilities are fixed with an upgrade:
- https://snyk.io/vuln/npm:minimatch:20160620


The following vulnerabilities are fixed with a Snyk patch:
- https://snyk.io/vuln/npm:minimatch:20160620
parent c8c17e6c
# Snyk (https://snyk.io) policy file, patches or ignores known vulnerabilities.
version: v1.10.2
ignore: {}
# patches apply the minimum changes required to fix a vulnerability
patch:
'npm:minimatch:20160620':
- gulp > vinyl-fs > glob-stream > minimatch:
patched: '2018-03-19T06:40:23.467Z'
- gulp > vinyl-fs > glob-watcher > gaze > globule > minimatch:
patched: '2018-03-19T06:40:23.467Z'
- gulp > vinyl-fs > glob-watcher > gaze > globule > glob > minimatch:
patched: '2018-03-19T06:40:23.467Z'
......@@ -9,7 +9,9 @@
},
"scripts": {
"test": "(rm -f config.json) && (npmts) && (npm run testVersion)",
"testVersion": "(cd test/assets/ && node ../../dist/cli.js -v)"
"testVersion": "(cd test/assets/ && node ../../dist/cli.js -v)",
"snyk-protect": "snyk protect",
"prepare": "npm run snyk-protect"
},
"repository": {
"type": "git",
......@@ -30,7 +32,7 @@
"@types/through2": "^2.0.33",
"beautylog": "^6.1.10",
"cflare": "^1.0.5",
"gulp": "^3.9.1",
"gulp": "^4.0.0",
"gulp-function": "^2.2.9",
"lik": "^1.0.40",
"lodash": "^4.17.4",
......@@ -50,6 +52,8 @@
"smartstring": "^2.0.24",
"smartsystem": "^2.0.2",
"through2": "^2.0.3",
"typings-global": "^1.0.20"
}
"typings-global": "^1.0.20",
"snyk": "^1.70.2"
},
"snyk": true
}
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment